%define debug_package	%{nil}
%define	Objects_Home	/fmem-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	fmem-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for CentOS 8 x86_64 for FMEM

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.6
%define	RELMAJ 1
%define RELMIN 7
Release:	%{RELMAJ}.%{RELMIN}

License:	GPL

Group:		Applications/Forensics Tools
URL:		http://hysteria.sk/~niekt0/fmem/
Source:		%{BaseName}-%{version}-%{RELMAJ}.tgz
Patch1:		%{BaseName}-%{version}-%{RELMAJ}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for CentOS 8 x86_64-based systems.

%prep
%setup -T -c
%patch1 -p1

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}*.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Fri Jun 19 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-7
* Release 1.6-7
	Kernel modules added for the following kernels:
		4.18.0-193.6.3
		4.18.0-193.1.2
		4.18.0-193

* Fri Apr 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-6
* Release 1.6-6
	Kernel modules added for the following kernels:
		4.18.0-147.8.1

* Fri Apr 10 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-5
* Release 1.6-5
	Kernel modules added for the following kernels:
		4.18.0-147.5.1

* Fri Jan 17 2020 Lawrence R. Rogers <lrr@cert.org> 1.6-4
* Release 1.6-4
	Kernel modules added for the following kernels:
		4.18.0-147.3.1
		4.18.0-147.0.3
		4.18.0-147

* Mon Oct 21 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-3
 Release 1.6-3
	No changes - version number synchronization with LiME version.

* Fri Oct 18 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-2
* Release 1.6-2
	Kernel modules added for the following kernels:
		4.18.0-80.11.2
		4.18.0-80.11.1
		4.18.0-80.7.2
		4.18.0-80.7.1
		4.18.0-80.4.2
		4.18.0-80.1.2

* Thu Oct  3 2019 Lawrence R. Rogers <lrr@cert.org> 1.6-1
* Release 1.6-1
	Kernel modules added for the following kernels:
		4.18.0-80
